#Entrance to the Druid's cavern
from eventAPI import *
from APIUtils import *

def fireEvent(e):
    if ((getTag(e, "lFlagS") & 0x100) == 0):
        return 1
    if (getTag(e, "kssPlot") == 0):
        return mist(e)
    else:
        return again(e)

def mist(e):
    showPicture(e, "kssmist")
    setExit(e, "maps/kssdruid.cfg", 1, 1, 0)
    return (poseYesNo(e,
  ["As you wander in this nondescript place, mist suddenly lifts from the ground and coalesces into a cloud.","","It bobbles gently, seemingly waiting.","",
   "Will you step into the mist ?"]) == 0)
        

def again(e):
    showPicture(e, "kssmist")
    setExit(e, "maps/kssdruid.cfg", 1, 1, 0)
    return (poseYesNo(e,
  ["The mist-ic portal to the Druid's enclave forms again.","","Do you want to enter ?"]) == 0)
        
